CREATE DATABASE IF NOT EXISTS jumpandride;
USE jumpandride;



#
# Table structure for table 'Kunde'
#

DROP TABLE IF EXISTS Kunde;

CREATE TABLE Kunde (
  KNr INTEGER NOT NULL AUTO_INCREMENT, 
  Name VARCHAR(50), 
  Vorname VARCHAR(50), 
  Straße_Hnr VARCHAR(50), 
  PLZ VARCHAR(50), 
  Ort VARCHAR(50), 
  Geburtstag DATETIME, 
  Telefon VARCHAR(50), 
  Fax VARCHAR(50), 
  Email VARCHAR(50), 
  PRIMARY KEY (KNr)
) ENGINE=innodb DEFAULT CHARSET=utf8;

SET autocommit=1;

#
# Dumping data for table 'Kunde'
#

INSERT INTO Kunde (KNr, Name, Vorname, Straße_Hnr, PLZ, Ort, Geburtstag, Telefon, Fax, Email) VALUES (1, 'Binder', 'Frank', 'Waldweg 3', '78354', 'Sipplingen', '1971-12-03 00:00:00', '01634591238', NULL, 'Binder.Frank@t-online.de');
INSERT INTO Kunde (KNr, Name, Vorname, Straße_Hnr, PLZ, Ort, Geburtstag, Telefon, Fax, Email) VALUES (2, 'Binder', 'Susanne', 'Waldweg 3', '78354', 'Sipplingen', '1973-05-12 00:00:00', '01634591238', NULL, 'Binder.Susanne@t-online.de');
INSERT INTO Kunde (KNr, Name, Vorname, Straße_Hnr, PLZ, Ort, Geburtstag, Telefon, Fax, Email) VALUES (3, 'Huber', 'Paul', 'Breitestraße 1', '69469', 'Weinheim', '1970-01-31 00:00:00', '01527856897', NULL, NULL);
INSERT INTO Kunde (KNr, Name, Vorname, Straße_Hnr, PLZ, Ort, Geburtstag, Telefon, Fax, Email) VALUES (4, 'Klein', 'Barbara', 'Christofstraße 22', '76227', 'Karlsruhe', '1975-10-12 00:00:00', '01755633698', '0721402778', NULL);
INSERT INTO Kunde (KNr, Name, Vorname, Straße_Hnr, PLZ, Ort, Geburtstag, Telefon, Fax, Email) VALUES (5, 'Brückner', 'Karl', 'Am Berg 12', '66887', 'Ulmet', '1960-03-01 00:00:00', '01555226487', NULL, 'KarlB@web.de');
INSERT INTO Kunde (KNr, Name, Vorname, Straße_Hnr, PLZ, Ort, Geburtstag, Telefon, Fax, Email) VALUES (6, 'Naish', 'Robert', 'Achernerstraße 35', '77815', 'Bühl', '1965-05-17 00:00:00', NULL, NULL, NULL);
INSERT INTO Kunde (KNr, Name, Vorname, Straße_Hnr, PLZ, Ort, Geburtstag, Telefon, Fax, Email) VALUES (7, 'Braun', 'Albert', 'Hauptstraße 17', '30457', 'Hannover', '1961-07-23 00:00:00', NULL, NULL, NULL);
INSERT INTO Kunde (KNr, Name, Vorname, Straße_Hnr, PLZ, Ort, Geburtstag, Telefon, Fax, Email) VALUES (8, 'Singer', 'Rolf', 'Seehafenstraße 105', '21079', 'Hamburg', '1971-02-14 00:00:00', '0405478968', NULL, 'Singer@hotmail.com');
INSERT INTO Kunde (KNr, Name, Vorname, Straße_Hnr, PLZ, Ort, Geburtstag, Telefon, Fax, Email) VALUES (9, 'Singer', 'Olga', 'Seehafenstraße 105', '21079', 'Hamburg', '1975-06-16 00:00:00', '0405478968', NULL, NULL);
INSERT INTO Kunde (KNr, Name, Vorname, Straße_Hnr, PLZ, Ort, Geburtstag, Telefon, Fax, Email) VALUES (10, 'Hurst', 'Dieter', 'Dresdner Ring 67', '89129', 'Langenau', '1980-01-25 00:00:00', NULL, NULL, NULL);
INSERT INTO Kunde (KNr, Name, Vorname, Straße_Hnr, PLZ, Ort, Geburtstag, Telefon, Fax, Email) VALUES (11, 'Siegele', 'Doro', 'Am Markt 4', '69123', 'Heidelberg', '1974-11-12 00:00:00', '06221478512', '06221478513', 'Doro1@gmx.net');
INSERT INTO Kunde (KNr, Name, Vorname, Straße_Hnr, PLZ, Ort, Geburtstag, Telefon, Fax, Email) VALUES (12, 'Fischer', 'Anke', 'Am Karpfenteich', '16928', 'Gross Pankow', '1981-09-18 00:00:00', NULL, NULL, NULL);
INSERT INTO Kunde (KNr, Name, Vorname, Straße_Hnr, PLZ, Ort, Geburtstag, Telefon, Fax, Email) VALUES (13, 'Huber', 'Willi', 'Rubiweg 19', '87527', 'Sonthofen', '1968-02-09 00:00:00', '0832145786', NULL, 'derHuberWilli@bavaria.de');
INSERT INTO Kunde (KNr, Name, Vorname, Straße_Hnr, PLZ, Ort, Geburtstag, Telefon, Fax, Email) VALUES (14, 'Gross', 'Andreas', 'Am Anger 18a', '24793', 'Brammer', '1966-04-22 00:00:00', NULL, NULL, NULL);
INSERT INTO Kunde (KNr, Name, Vorname, Straße_Hnr, PLZ, Ort, Geburtstag, Telefon, Fax, Email) VALUES (15, 'Gruber', 'Wolfgang', 'Heinestrasse 5', '39606', 'Kleinau', '1977-05-30 00:00:00', NULL, NULL, 'info@grubergmbh.de');
INSERT INTO Kunde (KNr, Name, Vorname, Straße_Hnr, PLZ, Ort, Geburtstag, Telefon, Fax, Email) VALUES (16, 'Heil', 'Anna', 'Lachsweg 32', '75391', 'Gechingen', '1965-05-29 00:00:00', '01575687412', NULL, NULL);
INSERT INTO Kunde (KNr, Name, Vorname, Straße_Hnr, PLZ, Ort, Geburtstag, Telefon, Fax, Email) VALUES (17, 'Geckle', 'Peter', 'Wagnerstrasse 54', '84051', 'Essenbach', '1966-04-23 00:00:00', '01694522596', NULL, NULL);
INSERT INTO Kunde (KNr, Name, Vorname, Straße_Hnr, PLZ, Ort, Geburtstag, Telefon, Fax, Email) VALUES (18, 'Geckle', 'Maria', 'Wagnerstrasse 54', '84051', 'Essenbach', '1966-01-07 00:00:00', NULL, NULL, NULL);
INSERT INTO Kunde (KNr, Name, Vorname, Straße_Hnr, PLZ, Ort, Geburtstag, Telefon, Fax, Email) VALUES (19, 'Geckle', 'Florian', 'Wagnerstrasse 54', '84051', 'Essenbach', '1995-01-18 00:00:00', NULL, NULL, NULL);
# 19 records

#
# Table structure for table 'Surfbrett'
#

DROP TABLE IF EXISTS Surfbrett;

CREATE TABLE Surfbrett (
  BrettNr INTEGER NOT NULL AUTO_INCREMENT, 
  Hersteller VARCHAR(50), 
  Bezeichnung VARCHAR(50), 
  Typ VARCHAR(50), 
  Breite VARCHAR(50), 
  Länge VARCHAR(50), 
  Gewicht VARCHAR(50), 
  Volumen VARCHAR(50), 
  Baujahr VARCHAR(50), 
  Anschaffungspreis DECIMAL(19,4) DEFAULT 0, 
  INDEX (BrettNr), 
  PRIMARY KEY (BrettNr)
) ENGINE=innodb DEFAULT CHARSET=utf8;

SET autocommit=1;

#
# Dumping data for table 'Surfbrett'
#

INSERT INTO Surfbrett (BrettNr, Hersteller, Bezeichnung, Typ, Breite, Länge, Gewicht, Volumen, Baujahr, Anschaffungspreis) VALUES (1, 'JP', 'Real World Wave', 'Wave', '61,5', '235', '5,5', '91', '2006', 750);
INSERT INTO Surfbrett (BrettNr, Hersteller, Bezeichnung, Typ, Breite, Länge, Gewicht, Volumen, Baujahr, Anschaffungspreis) VALUES (2, 'JP', 'Freestyle', 'Freestyle', '65,0', '239', '5,8', '100', '2006', 850);
INSERT INTO Surfbrett (BrettNr, Hersteller, Bezeichnung, Typ, Breite, Länge, Gewicht, Volumen, Baujahr, Anschaffungspreis) VALUES (3, 'JP', 'Freestyle', 'Freestyle', '69,5', '240', '6,0', '109', '2006', 850);
INSERT INTO Surfbrett (BrettNr, Hersteller, Bezeichnung, Typ, Breite, Länge, Gewicht, Volumen, Baujahr, Anschaffungspreis) VALUES (4, 'JP', 'Super Cross', 'SuperCross', '63,0', '241', '5,8', '96', '2006', 780);
INSERT INTO Surfbrett (BrettNr, Hersteller, Bezeichnung, Typ, Breite, Länge, Gewicht, Volumen, Baujahr, Anschaffungspreis) VALUES (5, 'JP', 'Slalom', 'Slalom', '80', '238', '7,0', '134', '2006', 850);
INSERT INTO Surfbrett (BrettNr, Hersteller, Bezeichnung, Typ, Breite, Länge, Gewicht, Volumen, Baujahr, Anschaffungspreis) VALUES (6, 'JP', 'Funster', 'Anfänger', '101', '260', '9,0', '205', '2006', 650);
INSERT INTO Surfbrett (BrettNr, Hersteller, Bezeichnung, Typ, Breite, Länge, Gewicht, Volumen, Baujahr, Anschaffungspreis) VALUES (7, 'JP', 'Real World Wave', 'Wave\r\nWave', '61,5', '235', '5,5', '91', '2006', 750);
INSERT INTO Surfbrett (BrettNr, Hersteller, Bezeichnung, Typ, Breite, Länge, Gewicht, Volumen, Baujahr, Anschaffungspreis) VALUES (8, 'JP', 'Freestyle', 'Freestyle', '65,0', '239', '5,8', '100', '2006', 850);
INSERT INTO Surfbrett (BrettNr, Hersteller, Bezeichnung, Typ, Breite, Länge, Gewicht, Volumen, Baujahr, Anschaffungspreis) VALUES (9, 'JP', 'Super Cross', 'Super Cross', '63,0', '241', '5,8', '96', '2006', 780);
INSERT INTO Surfbrett (BrettNr, Hersteller, Bezeichnung, Typ, Breite, Länge, Gewicht, Volumen, Baujahr, Anschaffungspreis) VALUES (10, 'JP', 'Funster', 'Anfänger', '101', '260', '9,0', '205', '2006', 650);
# 10 records

#
# Table structure for table 'Surflehrer'
#

DROP TABLE IF EXISTS Surflehrer;

CREATE TABLE Surflehrer (
  LehrerNr INTEGER NOT NULL AUTO_INCREMENT, 
  Name VARCHAR(50), 
  Vorname VARCHAR(50), 
  Geburtstag DATETIME, 
  PRIMARY KEY (LehrerNr)
) ENGINE=innodb DEFAULT CHARSET=utf8;

SET autocommit=1;

#
# Dumping data for table 'Surflehrer'
#

INSERT INTO Surflehrer (LehrerNr, Name, Vorname, Geburtstag) VALUES (1, 'Berner', 'Stefan', '1979-04-14 00:00:00');
INSERT INTO Surflehrer (LehrerNr, Name, Vorname, Geburtstag) VALUES (2, 'Wahl', 'Sandra', '1983-07-12 00:00:00');
INSERT INTO Surflehrer (LehrerNr, Name, Vorname, Geburtstag) VALUES (3, 'Morena', 'Francesca', '1980-01-24 00:00:00');
INSERT INTO Surflehrer (LehrerNr, Name, Vorname, Geburtstag) VALUES (4, 'Flussner', 'Bernd', '1976-06-12 00:00:00');
# 4 records

DROP TABLE IF EXISTS Zimmer;

CREATE TABLE Zimmer(
   ZNr INTEGER NOT NULL AUTO_INCREMENT, 
   Lage TEXT(50),
   Quadratmeter INTEGER,
   Anz_Betten INTEGER, 
  PRIMARY KEY (ZNr)
) ENGINE=innodb DEFAULT CHARSET=utf8;

INSERT INTO Zimmer (ZNr,Lage,Quadratmeter,Anz_Betten)
VALUES (1,"Meer",25,2),
(2,"Meer",20,2),
(3,"Meer",30,3),
(4,"Meer",30,3),
(5,"Meer",25,3),
(6,"Meer",30,4),
(7,"Berge",20,2),
(8,"Berge",20,3),
(9,"Berge",23,3),
(10,"Berge",35,5);

#
# Table structure for table 'Kurs'
#

DROP TABLE IF EXISTS Kurs;

CREATE TABLE Kurs (
  KursNr INTEGER NOT NULL AUTO_INCREMENT, 
  Bezeichnung VARCHAR(50),
  von DATETIME, 
  bis DATETIME, 
  Preis DECIMAL(19,4) DEFAULT 0, 
  LehrerNr INTEGER DEFAULT 0, 
  PRIMARY KEY (KursNr),
  FOREIGN KEY (LehrerNr) REFERENCES Surflehrer(LehrerNr)
) ENGINE=innodb DEFAULT CHARSET=utf8;

SET autocommit=1;

#
# Dumping data for table 'Kurs'
#

INSERT INTO Kurs (KursNr, Bezeichnung, von, bis, Preis, LehrerNr) VALUES (1, 'Speed(I)', '2006-01-15 00:00:00', '2006-01-29 00:00:00', 1449, 2),
 (2, 'Speed(II)','2006-01-15 00:00:00', '2006-01-29 00:00:00', 1325, 2),
 (3, 'Slalom gemischt','2006-01-15 00:00:00', '2006-01-29 00:00:00', 599, 1),
 (4, 'Freestyle','2006-01-15 00:00:00', '2006-01-29 00:00:00', 699, 3);
# 4 records

#
# Table structure for table 'Buchung'
#

DROP TABLE IF EXISTS Buchung;

CREATE TABLE Buchung (
  BuchungsNr INTEGER NOT NULL AUTO_INCREMENT , 
  KNr INTEGER DEFAULT 0, 
  ZNr INTEGER DEFAULT 0, 
  BrettNr INTEGER DEFAULT 0, 
  KursNr INTEGER DEFAULT 0, 
  PRIMARY KEY (BuchungsNr),
  FOREIGN KEY (KNr) REFERENCES Kunde(KNr),
  FOREIGN KEY (ZNr) REFERENCES Zimmer(ZNr),
  FOREIGN KEY (BrettNr) REFERENCES Surfbrett(BrettNr),
  FOREIGN KEY (KursNr) REFERENCES Kurs(KursNr)
) ENGINE=innodb DEFAULT CHARSET=utf8;

SET autocommit=1;

#
# Dumping data for table 'Buchung'
#

INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (1, 1, 3, 2, 1);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (2, 2, 3, 4, 4);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (3, 4, 2, 2, 4);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (4, 8, 1, 9, 2);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (5, 9, 1, 8, 2);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (6, 13, 9, 1, 1);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (7, 14, 9, 7, 3);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (8, 16, 7, 10, 1);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (9, 5, 7, 4, 2);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (10, 6, 7, 2, 4);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (11, 12, 1, 8, 2);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (12, 17, 10, 4, 3);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (13, 18, 10, 5, 1);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (14, 19, 10, 10, 1);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (15, 11, 2, 7, 2);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (16, 7, 2, 1, 3);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (17, 1, 3, 5, 4);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (18, 2, 3, 5, 4);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (19, 4, 1, 9, 4);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (20, 10, 7, 4, 3);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (21, 3, 2, 1, 1);
INSERT INTO Buchung (BuchungsNr, KNr, ZNr, BrettNr, KursNr) VALUES (22, 15, 5, 2, 2);
# 22 records


